Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.repository.impl
Class SwiftObjectTypeDefinitionImpl

    java.lang.Object
      com.stc.swift.repository.impl.SwiftObjectImpl
          com.stc.swift.repository.impl.SwiftProjectElementImpl
              com.stc.swift.repository.impl.ObjectTypeDefinitionImpl
                  com.stc.swift.repository.impl.SwiftObjectTypeDefinitionImpl

All Implemented Interfaces:
  com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer, com.stc.editor.javamodel.beans.ImportJarListCookie, com.stc.model.common.cme.PortType, com.stc.model.common.CMPartner, com.stc.model.common.ObjectTypeDefinition, com.stc.model.common.ProjectElement, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, SwiftObjectTypeDefinition, java.beans.PropertyChangeListener, java.util.EventListener, org.openide.nodes.Node.Cookie

    public class SwiftObjectTypeDefinitionImpl

extends ObjectTypeDefinitionImpl
implements SwiftObjectTypeDefinition

Version:
  $Revision: 1.4 $

Field Summary
`static java.lang.String` | `JAR_FILE_ELEMENTS`
`static java.lang.String` | `STATIC_WSDL`

Fields inherited from class com.stc.swift.repository.impl.ObjectTypeDefinitionImpl
`ACCESS, DOCUMENTATION, OBJECT_TYPE_DEFINITION_TYPE, ORIGIN, OTD_LOCALIZED_INFOS, OTD_META_CONTAINER, OTD_WIZARD, SERIAL, STRUCTURE, TOP_NODE_ID`

Fields inherited from interface com.stc.swift.repository.SwiftObjectTypeDefinition
`PROJECT_ELEMENT_TYPE`

Fields inherited from interface com.stc.model.common.ObjectTypeDefinition
`RCS_ID`

Fields inherited from interface com.stc.model.common.cme.PortType
`RCS_ID`

Fields inherited from interface com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer
`WSDLDOCUMENTIMM_TARGETNAMESPACE_XPATH, WSDLDOCUMENTIMM_XPATH`

Constructor Summary
`SwiftObjectTypeDefinitionImpl()` Constructor for ObjectTypeDefinitionImpl.
`SwiftObjectTypeDefinitionImpl(java.lang.String name)` Constructs an instance.

Method Summary
`void` | `addJarReference(com.stc.model.common.ProjectElement projectElement)` Adds reference to a jar to the Swift OTD.
`java.lang.String` | `getIconURL()` Gets the icon.
`java.util.Collection` | `getImportJarList()` Get a list of ProjectFile objects that refer to Jar files containing classes the implementor of this Cookie requires
`com.stc.model.common.ProjectElement` | `getJarReference(java.lang.String name)` Return a jar reference of the Swift OTD.
`java.util.Collection` | `getJarReferences()` Returns all the jar references of the Swift OTD.
`java.lang.String` | `getProjectElementType()`
`java.lang.String` | `getStaticWSDL()` Retrieves the WSDL Document associated with this eWay.
`com.stc.bpms.common.integration.model.wsdlproducer.WSDLDocumentImm` | `getWSDLDocumentImm()`
`boolean` | `hasDefaultPartner()`
`com.stc.model.common.ProjectElement` | `removeJarReference(com.stc.model.common.ProjectElement projectElement)` Removes reference to a jar file from the Swift OTD.
`void` | `setStaticWSDL(java.lang.String wsdl)` Sets the WSDL Document associated with this eWay.

Methods inherited from class com.stc.swift.repository.impl.ObjectTypeDefinitionImpl
`addExternalObjectTypeDefinition, checkExternal, collectExternals, createOTDLocalizedInfo, deleteOTDLocalizedInfo, getAccess, getAllExternalObjectTypeDefinitions, getDocumentation, getExternalObjectTypeDefinition, getExternalObjectTypeDefinitions, getOrigin, getOTDLocalizedInfo, getOTDLocalizedInfos, getOtdMetaContainer, getSerial, getStructure, getTopNodeId, isExternal, isMessageable, isVersionable, removeExternalObjectTypeDefinition, setAccess, setDocumentation, setOrigin, setOtdMetaContainer, setSerial, setStructure, setTopNodeId`

Methods inherited from class com.stc.swift.repository.impl.SwiftProjectElementImpl
`getParentProject, setParentProject`

Methods inherited from class com.stc.swift.repository.impl.SwiftObjectImpl
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, equals, getACLInfo, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPersistableSupport, getPropertyMap, getReferenceID, getRelationshipMap, getVersionInfo, hashCode, isHeaderResolved, isLocked, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, resolve, setACLInfo, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPropertyMap, setReferenceID, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.model.common.ObjectTypeDefinition
`addExternalObjectTypeDefinition, createOTDLocalizedInfo, deleteOTDLocalizedInfo, getAccess, getAllExternalObjectTypeDefinitions, getDocumentation, getExternalObjectTypeDefinition, getExternalObjectTypeDefinitions, getOrigin, getOTDLocalizedInfo, getOTDLocalizedInfos, getOtdMetaContainer, getSerial, getStructure, getTopNodeId, isExternal, isMessageable, removeExternalObjectTypeDefinition, setAccess, setDocumentation, setOrigin, setOtdMetaContainer, setSerial, setStructure, setTopNodeId`

Methods inherited from interface com.stc.model.common.ProjectElement
`getDescription, getName, getParentProject, setDescription, setName, setParentProject`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getLastUpdatedBy, getLastUpdatedDate, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### STATIC_WSDL

    public static final java.lang.String STATIC_WSDL

See Also:
  Constant Field Values

### JAR_FILE_ELEMENTS

    public static final java.lang.String JAR_FILE_ELEMENTS

See Also:
  Constant Field Values

Constructor Detail

### SwiftObjectTypeDefinitionImpl

    public SwiftObjectTypeDefinitionImpl()
                                  throws com.stc.repository.RepositoryException

  Constructor for ObjectTypeDefinitionImpl.

  Throws:
    `com.stc.repository.RepositoryException`

### SwiftObjectTypeDefinitionImpl

    public SwiftObjectTypeDefinitionImpl(java.lang.String name)
                                  throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `name` - the name
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

Method Detail

### getIconURL

    public java.lang.String getIconURL()
                                throws com.stc.repository.RepositoryException

  Gets the icon.

  Specified by:
    `getIconURL` in interface `com.stc.model.common.cme.PortType`
  Returns:
    the icon
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository failed

### getProjectElementType

    public java.lang.String getProjectElementType()
                                           throws com.stc.repository.RepositoryException

  Specified by:
    `getProjectElementType` in interface `com.stc.model.common.ProjectElement`
  Specified by:
    `getProjectElementType` in class `SwiftProjectElementImpl`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `ProjectElement.getProjectElementType()`

### addJarReference

    public void addJarReference(com.stc.model.common.ProjectElement projectElement)
                         throws com.stc.repository.RepositoryException

  Adds reference to a jar to the Swift OTD.

  Specified by:
    `addJarReference` in interface `SwiftObjectTypeDefinition`
  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### removeJarReference

    public com.stc.model.common.ProjectElement removeJarReference(com.stc.model.common.ProjectElement projectElement)
                                                           throws com.stc.repository.RepositoryException

  Removes reference to a jar file from the Swift OTD.

  Specified by:
    `removeJarReference` in interface `SwiftObjectTypeDefinition`
  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### getJarReferences

    public java.util.Collection getJarReferences()
                                          throws com.stc.repository.RepositoryException

  Returns all the jar references of the Swift OTD.

  Specified by:
    `getJarReferences` in interface `SwiftObjectTypeDefinition`
  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### getJarReference

    public com.stc.model.common.ProjectElement getJarReference(java.lang.String name)
                                                        throws com.stc.repository.RepositoryException

  Return a jar reference of the Swift OTD.

  Specified by:
    `getJarReference` in interface `SwiftObjectTypeDefinition`
  Parameters:
    `name` - - logical file name
  Throws:
    `com.stc.repository.RepositoryException` - repository exception

### getImportJarList

    public java.util.Collection getImportJarList()

  Get a list of ProjectFile objects that refer to Jar files containing classes the implementor of this Cookie requires

  Specified by:
    `getImportJarList` in interface `com.stc.editor.javamodel.beans.ImportJarListCookie`
  Returns:
    Collection of `ProjectFile`

### getStaticWSDL

    public java.lang.String getStaticWSDL()
                                   throws com.stc.repository.RepositoryException

  Description copied from interface: `SwiftObjectTypeDefinition`
  Retrieves the WSDL Document associated with this eWay. The WSDL is stored as a String. It is the responsibility of the caller to check that this is a valid WSDL Document

  Specified by:
    `getStaticWSDL` in interface `SwiftObjectTypeDefinition`
  Returns:
    the WSDL Document as a String
  Throws:
    `com.stc.repository.RepositoryException` - if any error occurs
  See Also:
    `SwiftObjectTypeDefinition.getStaticWSDL()`

### setStaticWSDL

    public void setStaticWSDL(java.lang.String wsdl)
                       throws com.stc.repository.RepositoryException

  Description copied from interface: `SwiftObjectTypeDefinition`
  Sets the WSDL Document associated with this eWay. The WSDL is stored as a String. It is the responsibility of the caller to check that this is a valid WSDL Document

  Specified by:
    `setStaticWSDL` in interface `SwiftObjectTypeDefinition`
  Parameters:
    `wsdl` - the WSDL Document as a String
  Throws:
    `com.stc.repository.RepositoryException` - if any error occurs
  See Also:
    `SwiftObjectTypeDefinition.setStaticWSDL(java.lang.String)`

### hasDefaultPartner

    public boolean hasDefaultPartner()

  Specified by:
    `hasDefaultPartner` in interface `com.stc.model.common.CMPartner`

### getWSDLDocumentImm

    public com.stc.bpms.common.integration.model.wsdlproducer.WSDLDocumentImm getWSDLDocumentImm()
                                                                                          throws com.stc.bpms.common.ServiceFailedException

  Specified by:
    `getWSDLDocumentImm` in interface `com.stc.bpms.common.integration.model.wsdlproducer.WSDLProducer`
  Throws:
    `com.stc.bpms.common.ServiceFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.